<html>
<head>
	<meta charset="utf-8"/>
	<title></title> 
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

 
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">


<script src="https://code.jquery.com/jquery-1.12.4.js"></script> 
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>

<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.7/angular.min.js"></script> 
<script type="text/javascript" src="https://cdn.jsdelivr.net/ngstorage/0.3.6/ngStorage.min.js"></script> 


<script src="animal.js"></script>  

<style type="text/css">
@media (min-width: 1200px) {
    .container{
        max-width: 600px;
    }
}
</style>
</head>
<body ng-app="animalApp">
<div class="container" ng-controller="animalCtrl">
	<br>
	<br>  
		<form name="animalFrm" role="form" novalidate="novalidate" id="frmAnimal"> 
		  	<div class="form-group">
			    <!--<img id="previewID" style="max-width:300px;" src="#"> <br>
			    <label for="name">Image</label>
			    <input type="file" name="name" id="image" accept="image/*" ng-required="true" onchange="document.getElementById('previewID').src = window.URL.createObjectURL(this.files[0])"> -->
				<img id="output" style="max-width:300px;"/>
			    <input type="file" accept="image/*" id="imagee" onchange="loadFile(event)" required>
		  	</div>
			<div class="form-group">
			    <label for="name">Name</label>
			    <input type="text" name="name" id="name" class="form-control" required>
			    <div ng-messages="animalFrm.name.$error" 
		         ng-show='animalFrm.$submitted && animalFrm.name.$invalid'>
		          <div ng-message="required" ng-hide="animalFrm.name.$valid" class="text-danger"><i>Name field required</i>
		        </div> 
		    </div> 
		  	</div>
		  	<div class="form-group">
			    <label for="name">Type</label>
			    <input type="text" name="type" id="type" class="form-control" required>
			    <div ng-messages="animalFrm.type.$error" 
		         ng-show='animalFrm.$submitted && animalFrm.type.$invalid'>
		          <div ng-message="required" ng-hide="animalFrm.type.$valid" class="text-danger"><i>Type field required</i>
		        </div>   
		  	</div>
		  	<div class="form-group">
			    <label for="name">Description</label>
			    <textarea class="form-control" name="description" id="description" rows="4" required></textarea> 
			    <div ng-messages="animalFrm.description.$error" 
		         ng-show='animalFrm.$submitted && animalFrm.description.$invalid'>
		          <div ng-message="required" ng-hide="animalFrm.description.$valid" class="text-danger"><i>Description field required</i>
		        </div>  
		  	</div>
		  	<div class="form-group">
			    <label for="name">Lifespan</label>
			    <input type="text" name="lifespan" id="lifespan" class="form-control" required> 
			    <div ng-messages="animalFrm.lifespan.$error" 
		         ng-show='animalFrm.$submitted && animalFrm.lifespan.$invalid'>
		          <div ng-message="required" ng-hide="animalFrm.lifespan.$valid" class="text-danger"><i>Description field required</i>
		        </div>   
		  	</div>
		  	<div class="form-group">
			    <label for="name">Living Type</label>
			    <select class="form-control" id="livingtype">
				  <option value="Land">Land</option>
				  <option value="Sea">Sea</option>
				  <option value="Air">Air</option> 
				</select>   
		  	</div> 
		  	<br>
		  	<div id="Alert"></div>
		  	<input type="submit" class="btn btn-primary form-control" value="Submit" ng-click="SaveAnimal()">
		</form>
</div>

<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
</body>
</html>